Skip to main content
POST
/
api
/
public
/
v1
/
replies
/
threads
/
{thread_id}
/
reply
Send a reply
curl --request POST \
  --url https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/reply \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "body": "<string>",
  "html_body": "<string>",
  "attachments": [
    {
      "filename": "<string>",
      "content_base64": "<string>",
      "content_type": "application/octet-stream"
    }
  ]
}
'
{
  "success": true,
  "message": "<string>",
  "from_address": "<string>",
  "to_address": "<string>",
  "message_id": "<string>",
  "thread_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key with format cs_live_xxx

Path Parameters

thread_id
string<uuid>
required

Thread ID

Body

application/json

Request body for sending a reply to an existing thread.

body
string | null

Plain-text reply body (required if html_body is not provided)

html_body
string | null

HTML reply body (required if body is not provided)

attachments
AttachmentItem · object[] | null

Optional file attachments (max 5, 10 MB total, base64-encoded)

Response

Reply queued successfully

Response returned after sending a reply.

success
boolean
required
message
string
required
from_address
string
required

Inbox address the reply was sent from

to_address
string
required

Lead email address the reply was sent to

message_id
string | null

Tracking message ID

thread_id
string | null

Thread ID